var fetch = require('node-fetch');
var FormData = require('isomorphic-form-data');
var Promise = require('promise');

var auth = require("@esri/arcgis-rest-auth");
require("@esri/arcgis-rest-portal");
require("@esri/arcgis-rest-request");
require("@esri/arcgis-rest-service-admin");

var solutionCommon = require("@esri/solution-common");

var originalExtent = {
  xmin: -9821384,
  ymin: 5117339,
  xmax: -9797228,
  ymax: 5137789,
  spatialReference: { wkid: 102100 }
};
var desiredSpatialRef = { wkid: 4326 };

solutionCommon.convertExtent(
  originalExtent,
  desiredSpatialRef,
  "http://sampleserver6.arcgisonline.com/arcgis/rest/services/Utilities/Geometry/GeometryServer",
  {
    fetch: fetch,
    authentication: auth.UserSession({})
  }
).then(
  response => console.log(response),
  response => console.error(response)
);;